QT += gui core widgets
CONFIG += qt warn_on release
TARGET = qccrypt
TEMPLATE = app
SOURCES = main.cpp ccdlg.cpp \
    passworddialog.cpp \
    passwordvalidator.cpp
HEADERS = ccdlg.h \
    version.h \
    passworddialog.h \
    passwordvalidator.h
RC_FILE = qccrypt.rc
FORMS = ccryptdialog.ui \
    passworddialog.ui
RESOURCES = icons.qrc

unix {
    isEmpty(PREFIX): PREFIX = /usr
    isEmpty(BINDIR): BINDIR = $$PREFIX/bin
    isEmpty(DATADIR): DATADIR = $$PREFIX/share
}

win32-g++ {
    isEmpty(PREFIX): PREFIX = "C:/Program Files/Qccrypt"
    isEmpty(BINDIR): BINDIR = $$PREFIX
    isEmpty(DATADIR): DATADIR = $$PREFIX
}

unix {
    target.path = $$BINDIR
    manual.CONFIG = no_check_exist
    mimepkg.path = $$DATADIR/mime/packages
    mimepkg.files = $${TARGET}.xml
    mimeapp.path = $$DATADIR/mime/application
    mimeapp.files = x-cpt.xml
    desktop.path = $$DATADIR/applications
    desktop.files = $${TARGET}.desktop
    icon.path = $$DATADIR/icons/hicolor/256x256/apps
    icon.files = ressources/images/qccrypt.png
    iconmime.path = $$DATADIR/icons/hicolor/256x256/mimetypes
    iconmime.files = ressources/images/application-x-cpt.png
    appdata.path = $$DATADIR/appdata
    appdata.files = fr.free.qccrypt.Qccrypt.appdata.xml
    INSTALLS += target \
            mimepkg \
            mimeapp \
            desktop \
            icon \
            iconmime \
            appdata
}

win32-g++ {
    target.path = $$BINDIR
    RC_ICONS += ressources/images/qccrypt.ico
    INSTALLS += target \
}
